DEFINT A-Z
'$INCLUDE: '\source\v12\v12.bi'

SUB EraseArea (Left, Top, Wide, High)

          VIEW (Left, Top)-(Left + Wide, Top + High), 0
          CALL MouseHide
          CLS
          VIEW
          CALL MouseShow

END SUB

SUB GetKey (KeyPress)

          DO
               a$ = INKEY$
               LOOP UNTIL a$ <> ""
               IF LEN(a$) > 1 THEN
                    KeyPress = ASC(RIGHT$(a$, 1)) * -1
               ELSE
                    KeyPress = ASC(a$)
               END IF

END SUB

SUB IsInBox (Box(), Response)

          Response = True
          MousePoll Row, Col, dummy, dummy
          IF Row < Box(2) THEN Response = False
          IF Row > Box(2) + Box(4) THEN Response = False
          IF Col < Box(1) THEN Response = False
          IF Col > Box(1) + Box(3) THEN Response = False

END SUB

SUB LoadArrayBox (D%(), I1, I2, I3, I4, I5)

          D(1) = I1
          D(2) = I2
          D(3) = I3
          D(4) = I4
          D(5) = I5

END SUB

SUB SetRGB (ColorNumber, Red, Green, Blue)

          X& = 65536 * Red + 256 * Green + Blue
          PALETTE ColorNumber, X&
END SUB

SUB WasInBox (Box(), Row, Col, Response)

          Response = True
          IF Row < Box(2) THEN Response = False
          IF Row > Box(2) + Box(4) THEN Response = False
          IF Col < Box(1) THEN Response = False
          IF Col > Box(1) + Box(3) THEN Response = False

END SUB

